{
  "name": "table/manager/resource/timecard.json",
  "table_name": "timecard",
  "table_prefix": "timec",
  "save_script": [
    "timec_end_time"
  ],
  "field": [
    {
      "name": "employee_id",
      "type": "varchar",
      "length": 40,
      "foreign_key": {
        "table": "person",
        "field": "person_id",
        "link_type": "prevent delete"
      }
    },
    {
      "name": "timecard_state",
      "type": "varchar",
      "length": 20
    },
    {
      "name": "salary_type",
      "type": "double"
    },
    {
      "name": "work_shift",
      "type": "varchar",
      "length": 40
    },
    {
      "name": "start_time",
      "type": "datetime"
    },
    {
      "name": "end_time",
      "type": "datetime"
    },
    {
      "name": "work_time",
      "type": "double"
    },
    {
      "name": "unit_price",
      "type": "double"
    },
    {
      "name": "end_reason",
      "type": "varchar",
      "length": 80
    },
    {
      "name": "location",
      "type": "varchar",
      "length": 80
    },
    {
      "name": "work_group",
      "type": "varchar",
      "length": 80
    },
    {
      "name": "work_subgroup",
      "type": "varchar",
      "length": 80
    },
    {
      "name": "info",
      "type": "text"
    }
  ],
  "field_change": [
    {
      "name": "timecard_state",
      "old_name": [
        "state"
      ]
    }
  ]
}
